/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you wish to add, delete or rename functions or slots use
** Qt Designer which will update this file, preserving your code. Create an
** init() function in place of a constructor, and a destroy() function in
** place of a destructor.
*****************************************************************************/


void DialogQXineSetup::initMe()
{

}


void DialogQXineSetup::setVideoPlugins( QStringList &listVideoPlugins, QString &qsCurrentVideo)
{
    m_pComboVideo->insertItem(QString("auto"));
    m_pComboVideo->insertStringList(listVideoPlugins);
    m_pComboVideo->setCurrentText (qsCurrentVideo);
}


void DialogQXineSetup::setAudioPlugins( QStringList &listAudioPlugins, QString &qsCurrentAudio)
{
    m_pComboAudio->insertItem(QString("auto"));
    m_pComboAudio->insertStringList(listAudioPlugins);
    m_pComboAudio->setCurrentText (qsCurrentAudio);
}


QString DialogQXineSetup::getAudioPlugin()
{
    return m_pComboAudio->currentText();
}


QString DialogQXineSetup::getVideoPlugin()
{
    return m_pComboVideo->currentText();
}
